RDConfig.h File Reference

Go to the source code of this file.

## Macros

#define | RDK_USE_BOOST_SERIALIZATION
#define | RDK_USE_BOOST_IOSTREAMS
#define | RDK_BUILD_THREADSAFE_SSS
#define | RDK_THREADSAFE_SSS
#define | RDK_TEST_MULTITHREADED
#define | RDK_USE_STRICT_ROTOR_DEFINITION
#define | RDK_BUILD_COORDGEN_SUPPORT
#define | RDK_BUILD_SLN_SUPPORT

## Macro Definition Documentation

## RDK_BUILD_COORDGEN_SUPPORT

#define RDK_BUILD_COORDGEN_SUPPORT

Definition at line 34 of file RDConfig.h.

## RDK_BUILD_SLN_SUPPORT

#define RDK_BUILD_SLN_SUPPORT

Definition at line 40 of file RDConfig.h.

## RDK_BUILD_THREADSAFE_SSS

#define RDK_BUILD_THREADSAFE_SSS

Definition at line 20 of file RDConfig.h.

## RDK_TEST_MULTITHREADED

#define RDK_TEST_MULTITHREADED

Definition at line 25 of file RDConfig.h.

## RDK_THREADSAFE_SSS

#define RDK_THREADSAFE_SSS

Definition at line 22 of file RDConfig.h.

## RDK_USE_BOOST_IOSTREAMS

#define RDK_USE_BOOST_IOSTREAMS

Definition at line 13 of file RDConfig.h.

## RDK_USE_BOOST_SERIALIZATION

#define RDK_USE_BOOST_SERIALIZATION

Definition at line 12 of file RDConfig.h.

## RDK_USE_STRICT_ROTOR_DEFINITION

#define RDK_USE_STRICT_ROTOR_DEFINITION

Definition at line 27 of file RDConfig.h.